NGINX-UPGRADE(8)

NAME
nginx-upgrade - tool to upgrade nginx without any downtime

SYNOPSIS
nginx-upgrade

DESCRIPTION
This downstream shell script updates nginx without any downtime. After upgrading nginx via the package manager, running this script will create a new nginx master. This master takes over all new requests. The old masters and workers are then gracefully shutdown without breaking any existing connections.

For further information, see: <http://nginx.org/en/docs/control.html>

BUGS
If you find any bugs, please send an email to the author.

AUTHOR
Jamie Nguyen <jamielinux@fedoraproject.org>